var Link = new (Plugin.extend({
    path: 'common/link',
    execute: function() {
        this.popup('form');
    },

    unlink: function() {
        this.execCommand('unlink');
    },

    helpers: [
        {
            selector: 'a[href]:not([href^=javascript])',
            action: function(element) {
                var href = element.attr('href');
                var content = $('<a>').attr({ href: href, target: '_blank', title: 'Open the link in a new tab' }).text(href);
                return content;
            }
        }
    ]
}))();
